<?php
/*
Simple:Press
TinyMCE Save Options Support Functions
$LastChangedDate: 2015-03-13 11:59:35 -0700 (Fri, 13 Mar 2015) $
$Rev: 12576 $
*/

if (preg_match('#'.basename(__FILE__).'#', $_SERVER['PHP_SELF'])) die('Access denied - you cannot directly call this file');

#= Save Toolbar Settings ===============================
function sp_tinymce_options_save() {
	# Save the tinymce data
	$tinymce = sp_get_option('tinymce');

	$tinymce['height']		= sp_esc_int($_POST['tmheight']);
	$tinymce['plugins']		= sp_esc_str($_POST['tmplugins']);
	$tinymce['buttons1']	= sp_esc_str($_POST['tmbuttons1']);
	$tinymce['buttons2']	= sp_esc_str($_POST['tmbuttons2']);

	if (isset($_POST['tmrejectformat'])) { $tinymce['rejectformat'] = true; } else { $tinymce['rejectformat']=false; }

	sp_update_option('tinymce', $tinymce);

	return __("TinyMCE editor options updated!", "sp-tinymce");
}
?>